Package com.orchestranetworks.ui.form

# Enum Class UIFormNode.DisplayMode

java.lang.Object
java.lang.Enum<UIFormNode.DisplayMode>
com.orchestranetworks.ui.form.UIFormNode.DisplayMode

All Implemented Interfaces:
  `Serializable`, `Comparable<UIFormNode.DisplayMode>`, `Constable`

Enclosing interface:
  UIFormNode

public static enum UIFormNode.DisplayMode extends Enum<UIFormNode.DisplayMode>
Represents the display policy of a node.

Since:
  5.8.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLLAPSED`
  Should be displayed in a collapsed group.
  `EXPANDED`
  Should be displayed in an expanded group.
  `INLINE`
  Should be displayed in a form row.
  `LINK`
  Should be displayed via a link in the form.
  `NONE`
  Should not be displayed.
  `TAB`
  Should be displayed in an external tab.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UIFormNode.DisplayMode`
  `parse(UIFormGroup.DisplayMode displayMode)`
  Parses a `UIFormGroup.DisplayMode`.
  `static UIFormNode.DisplayMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UIFormNode.DisplayMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TAB

    public static final UIFormNode.DisplayMode TAB
    Should be displayed in an external tab.

  - ### COLLAPSED

    public static final UIFormNode.DisplayMode COLLAPSED
    Should be displayed in a collapsed group.

  - ### EXPANDED

    public static final UIFormNode.DisplayMode EXPANDED
    Should be displayed in an expanded group.

  - ### LINK

    public static final UIFormNode.DisplayMode LINK
    Should be displayed via a link in the form.

  - ### INLINE

    public static final UIFormNode.DisplayMode INLINE
    Should be displayed in a form row.

  - ### NONE

    public static final UIFormNode.DisplayMode NONE
    Should not be displayed.

- ## Method Details

  - ### values

    public static UIFormNode.DisplayMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UIFormNode.DisplayMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static UIFormNode.DisplayMode parse(UIFormGroup.DisplayMode displayMode)
    Parses a `UIFormGroup.DisplayMode`.
    Parameters:
      `displayMode` - the value of UIFormGroup.DisplayMode
    Returns:
      the parsed UIFormNode display mode